# Uses of Interface
org.eclipse.draw2d.ChangeListener

Packages that use ChangeListener
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of ChangeListener in org.eclipse.draw2d

Methods in org.eclipse.draw2d with parameters of type ChangeListener
Modifier and Type
Method
Description
`void`
ButtonModel.`addChangeListener(ChangeListener listener)`
Registers the given listener as a ChangeListener.
`void`
Clickable.`addChangeListener(ChangeListener listener)`
Adds the given listener to the list of state change listeners of this figure.
`void`
ButtonModel.`removeChangeListener(ChangeListener listener)`
Removes the given ChangeListener.
`void`
Clickable.`removeChangeListener(ChangeListener listener)`
Removes the given listener from the list of ChangeListener's of this clickable.